Loading...
Searching...
No Matches
url_components.h File Reference

Declaration for the URL Components. More...

Go to the source code of this file.

## Classes

struct | ada::url_components
| Stores byte offsets for URL components within a buffer. More...

## Namespaces

namespace | ada

## Detailed Description

Declaration for the URL Components.

URL component offset representation for url_aggregator.

This file defines the url_components struct which stores byte offsets into a URL string buffer. It is used internally by url_aggregator to efficiently locate URL components without storing separate strings.

Definition in file url_components.h.